> ## Documentation Index
> Fetch the complete documentation index at: https://docs.aitoearn.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Create real-person verification session

> Create a real-person liveness verification session. After verification, AiToEarn redirects the browser to `callbackUrl` with result parameters. Use the same API key to create and complete the session.



## OpenAPI

````yaml /openapi/en/aitoearn.openapi.json post /api/ai/volcengine/assets/visual-validation-sessions
openapi: 3.0.1
info:
  title: AiToEarn Open Platform API
  description: >-
    AiToEarn Open Platform API. You can switch between the China and
    international sites for testing. Business success is determined by whether
    the response body has code === 0.
  version: 1.0.0
  contact: {}
servers:
  - url: https://aitoearn.cn
    description: China site
  - url: https://aitoearn.ai
    description: International site
security: []
tags:
  - name: AI Services
  - name: AI Services/Video Generation
  - name: AI Services/Image Generation
  - name: Channel Management
  - name: Channel Management/Accounts
  - name: Channel Management/Publishing
  - name: Channel Management/Platforms
  - name: Channel Management/Works
  - name: Channel Management/Account Groups
  - name: Channel Management/Authorization
  - name: Asset Management
  - name: AI Services/Large Language Models
  - name: AI Services/Real-person Assets
paths:
  /api/ai/volcengine/assets/visual-validation-sessions:
    post:
      tags:
        - AI Services/Real-person Assets
      summary: Create real-person verification session
      description: >-
        Create a real-person liveness verification session. After verification,
        AiToEarn redirects the browser to `callbackUrl` with result parameters.
        Use the same API key to create and complete the session.
      operationId: VolcengineAssetsController_createVisualValidationSession
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                callbackUrl:
                  type: string
                  format: uri
                  description: HTTP(S) URL to open after verification.
              required:
                - callbackUrl
              additionalProperties: false
            examples:
              default:
                summary: Request example
                value:
                  callbackUrl: https://example.com/real-person/callback
      responses:
        '200':
          description: >-
            The request has been processed by the service. Business success is
            determined by whether the response body has code === 0.
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: object
                    properties:
                      bytedToken:
                        type: string
                        description: Real-person verification session token.
                        example: 20260902170610426DEDD5F07EEF7EF075
                      h5Link:
                        type: string
                        format: uri
                        description: Real-person verification H5 URL.
                        example: >-
                          https://ark.volcengine.com/region:cn-beijing/mobile/liveness-face-manage/authorization
                      shortLink:
                        type: string
                        format: uri
                        description: >-
                          Real-person verification short link suitable for a QR
                          code.
                        example: https://aitoearn.cn/s/example
                      callbackUrl:
                        type: string
                        format: uri
                        description: Redirect URL after verification.
                        example: https://example.com/real-person/callback
                    required:
                      - bytedToken
                      - h5Link
                      - shortLink
                      - callbackUrl
                    additionalProperties: false
                  code:
                    type: integer
                    description: >-
                      Business status code. 0 means success; non-zero means a
                      business error.
                  message:
                    type: string
                    description: Response message.
                  requestId:
                    type: string
                    description: Request ID.
                  timestamp:
                    type: integer
                    description: Error response timestamp in Unix milliseconds.
                required:
                  - code
                  - message
              examples:
                success:
                  summary: Success
                  value:
                    code: 0
                    message: Request succeeded
                    data:
                      bytedToken: 20260902170610426DEDD5F07EEF7EF075
                      h5Link: >-
                        https://ark.volcengine.com/region:cn-beijing/mobile/liveness-face-manage/authorization
                      shortLink: https://aitoearn.cn/s/example
                      callbackUrl: https://example.com/real-person/callback
                validationFailed10002:
                  summary: ValidationFailed (10002)
                  value:
                    code: 10002
                    message: Parameter validation failed
                    data: {}
                    timestamp: 1772099056662
                unauthorized401:
                  summary: Unauthenticated or invalid API Key
                  value:
                    code: 401
                    message: Unauthorized
                    data: {}
                    timestamp: 1772099056662
      security:
        - apikey-header-X-Api-Key: []
components:
  securitySchemes:
    apikey-header-X-Api-Key:
      type: apiKey
      in: header
      name: X-Api-Key
      description: >-
        Need to get API Key from AiToEarn. Click to go to ["API Key Obtaining
        Tutorial"](/en/use/api-key).

````